#include <iostream>
#include <vector>
#include <unordered_map>
#include <map>
#include <cstdlib>
#include <utility>

using namespace std;



std::pair<int, int> norm (int xx, int yy)
{ 
	std::pair<int, int> res;
	if (xx == 0) {
		res.first=xx;
		res.second=abs(yy);
	} else if (yy == 0) {
		res.first=abs(xx);
		res.second=yy;
	} else if (xx < 0) {
		res.first = -1 * xx;
		res.second = -1 * yy;
	} else {
		res.first = xx;
		res.second = yy;
	}
	return res;
}

int main()
{
	int n;
	int x, y;
	while (cin >> n) {
		vector<std::pair<int, int> > star;
		star.reserve(n);

		for (int i=0; i<n; ++i) {
			cin >> x >> y;
			star.emplace_back(x,y);
		}
		//cout << n << " " << star.size() << endl;
		//unordered_map<pair<int,int>, vector<int> > vec;
		map<pair<int,int>, vector<int> > vec;

		pair<int,int> v;
		for (int i=0; i<n; ++i) {
			for (int j=i+1; j<n; ++j) {
				v = norm(star[i].first-star[j].first, star[i].second-star[j].second);
				auto &vv = vec[v];
				if (vv.empty()) {
					vv.resize(n+1,0);
				}
				if (vv[i] == 0) {
					vv[i] = 1;
					vv[n]++;
				}
				if (vv[j] == 0) {
					vv[j] = 1;
					vv[n]++;
				}
			}
		}

		int sum = 0;
		for (auto const &vv : vec) {
			if (vv.second[n] == n) 
				++sum;
		}

		cout << 2*sum << endl;
	}

	return 0;
}
